<!-- <nb-card @myInsertRemoveTrigger> -->
<nb-card>
  <nb-card-header>
  <h5> History </h5>
  </nb-card-header>

  <nb-card-body>
    <div class="buttons-row mb-2 row">
      <div class="col-sm-6">
        <!-- <button hero nbButton status="primary" size="small" (click)="restartHistoryProcess()">
          <i class="fa fa-plus"></i>&nbsp;&nbsp;Restart History
        </button> -->
        <!-- <button hero nbButton status="primary" size="small" (click)="test()">
          <i class="fa fa-plus"></i>&nbsp;&nbsp;Reload
        </button> -->
      </div>
        
      <div class="col-sm-6 text-right">
        <button class="text-right" hero nbButton status="success" size="small" (click)="restartHistoryProcess()" [disabled]="util.isDisabledButton()">
          <i class="fa fa-refresh"></i>&nbsp;&nbsp;Restart History
        </button>
      </div>      
    </div>

    <table id="dtTable" #dtElement datatable [dtOptions]="util.GetDtOptions(this,{ order: [[4, 'desc']] })" [dtTrigger]="dtTrigger" class="main table-striped table-bordered nowrap">
    <!-- <table id="dtTable" class="main table-striped table-bordered"> -->
      <thead>
        <tr>
          <th class="text-center" scope="col" width="20px">
            <input class="d-none" type="checkbox" status="primary" name="ALL_CHECKBOX" (click)="util.CheckAllItem($event)" [checked]="util.isCheckedAll()" />
          </th>
          <!-- <th class="text-center" width="20px" name="#">#</th> -->
          <th width="280px" name="id">Id</th>
          <th width="100px" name="state">State</th>
          <th name="processDefinitionName">process Definition Name</th>
          <th width="150px" name="startTime">Start Time</th>
          <th width="150px" name="endTime">End Time</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let value of viewModel" (click)="util.CheckItem($event,false)">
        <!-- <tr #row *ngFor="let value of viewModel; let i = index"> -->
          <td><input type="checkbox" status="primary" name="CHECKBOX" [value]="value.id" /></td>
          <!-- <td class="text-center">{{ row.rowIndex }}</td> -->
          <td>{{ value.id }}</td>
          <td>{{ value.state }}</td>
          <td>{{ value.processDefinitionName }}</td>
          <td>{{ value.startTime | date:"yyyy-MM-dd HH:mm:ss" }}</td>
          <td>{{ value.endTime | date:"yyyy-MM-dd HH:mm:ss" }}</td>
        </tr>
      </tbody>
    </table>
  </nb-card-body>

</nb-card>
